package domain


type AlibabaWdkOrderRefundListOrderSyncRefundListResult struct {
    /*
        下一页     */
    NextIndex  *int64 `json:"next_index,omitempty" `

    /*
        退款单集合     */
    Orders  *[]AlibabaWdkOrderRefundListOrderSyncRefundDto `json:"orders,omitempty" `

    /*
        接口返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        结果信息     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        是否成功。调用方需要根据该字段判断是否成功，如果失败进行重试     */
    Success  *bool `json:"success,omitempty" `

    /*
        返回本查询条件下的数据总数。仅在传入page_index=0时返回,在其他情况下返回0     */
    TotalNumber  *int64 `json:"total_number,omitempty" `

}

func (s *AlibabaWdkOrderRefundListOrderSyncRefundListResult) SetNextIndex(v int64) *AlibabaWdkOrderRefundListOrderSyncRefundListResult {
    s.NextIndex = &v
    return s
}
func (s *AlibabaWdkOrderRefundListOrderSyncRefundListResult) SetOrders(v []AlibabaWdkOrderRefundListOrderSyncRefundDto) *AlibabaWdkOrderRefundListOrderSyncRefundListResult {
    s.Orders = &v
    return s
}
func (s *AlibabaWdkOrderRefundListOrderSyncRefundListResult) SetReturnCode(v string) *AlibabaWdkOrderRefundListOrderSyncRefundListResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkOrderRefundListOrderSyncRefundListResult) SetReturnMsg(v string) *AlibabaWdkOrderRefundListOrderSyncRefundListResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkOrderRefundListOrderSyncRefundListResult) SetSuccess(v bool) *AlibabaWdkOrderRefundListOrderSyncRefundListResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkOrderRefundListOrderSyncRefundListResult) SetTotalNumber(v int64) *AlibabaWdkOrderRefundListOrderSyncRefundListResult {
    s.TotalNumber = &v
    return s
}
